#-*- coding: utf-8 -*-

# Copyright 2012 Calculate Ltd. http://www.calculate-linux.org
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

from function import get_sid, analysis
# method of applying templates
def client_template(client, command):

    sid = get_sid(client.SID_FILE)
    try:
        args = command.split(' ',1)[1]
    except:
        args = ''
    try:
        s = client.service.cl_template(sid, args)
        analysis(client, sid, s)
    except Exception, e:
        if e[0][0] == 403:
            print _('Permission denied')
        else: 
            print e
        return 1
    return 0
