#-*- coding: utf-8 -*-

# Copyright 2012 Calculate Ltd. http://www.calculate-linux.org
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

import soaplib
from soaplib.serializers.primitive import String, Integer

# Check rights for a fixed method
class CoreWsdl () :
    def check_rights(self, cert, method_name):
        if cert == None:
            return -3
            
        from cert_cmd import find_cert_id
        cert_id = find_cert_id(certificate, self.data_path, self.certbase)
        
        cert_id = int(cert_id)
        # if certificate found
        if cert_id > 0:
            try:    
                #rst = []
                with open(RIGHT_FILE) as fd:
                    t = fd.read()
                    for line in t.splitlines():
                        words = line.split()
                        # first word in the string equal name input method
                        if words[0] == method_name:
                            # for each value in line
                            for word in words:
                                try:
                                    word = int(word)
                                except:
                                    pass
                                # Compare with certificate number
                                if cert_id == word:
                                    # if has right
                                    return 1
                fd.close()
                return 0
            except:
                return 0
